<%@ page import="org.apache.commons.fileupload.*, org.apache.commons.fileupload.servlet.*, org.apache.commons.fileupload.disk.*, org.apache.commons.io.*, java.util.*, java.io.*, web.jsp.* " %>
<%@ page contentType="application/download" %>
<% 
	try
	{
		SubmittedTask task = TaskManager.getRequestStatus(Integer.parseInt(request.getParameter("id")));
		boolean isReady = (task != null);
		if (!isReady)
			throw new RuntimeException("invalid id");
		if (task.getErrorMessage() != null)
			throw new RuntimeException("task still running");
		
		response.setContentType ("text/csv");
		response.setHeader ("Content-Disposition", "attachment; filename=\"output.csv\"");
		
		InputStream in = null;			
		ServletOutputStream outs = null;
		
		try
		{
			in = new FileInputStream(task.getOutputFile());
		
			outs = response.getOutputStream();

			IOUtils.copy(in, outs);
		}
		catch(Exception e)
		{
			throw e;
		}
		finally 
		{
			if (in != null) IOUtils.closeQuietly(in);
			if (outs != null) IOUtils.closeQuietly(outs);
		}
	}
	catch(Exception e)
	{
		out.println(e.toString());
	}
%>
